package com.demo.xinrui;

import android.app.Activity;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.animation.AlphaAnimation;
import android.view.animation.Animation;
import android.widget.LinearLayout;

import com.yyrh.utils.YYLog;

import cn.yyxx.support.ResUtils;

/**
 * @author #Suyghur.
 * Created on 2021/10/14
 */
public class WelcomeActivity extends Activity {

    private static final int CODE_GO_INIT = 0x000003E8;
    private static final int CODE_GO_GAME_ACTIVITY = 0x000003E9;

    private final Handler handler = new Handler(Looper.getMainLooper()) {
        @Override
        public void handleMessage(@NonNull Message msg) {
            switch (msg.what) {
                case CODE_GO_INIT:
                    goInit();
                    break;
                case CODE_GO_GAME_ACTIVITY:
                    goGameActivity();
                    break;
            }
        }
    };

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        handler.sendEmptyMessageDelayed(CODE_GO_INIT, 400);
    }

    private void goInit() {
        Animation animation = new AlphaAnimation(0.3f, 1.0f);
        animation.setDuration(1500L);
        animation.setAnimationListener(new Animation.AnimationListener() {
            @Override
            public void onAnimationStart(Animation animation) {

            }

            @Override
            public void onAnimationEnd(Animation animation) {
                handler.sendEmptyMessage(CODE_GO_GAME_ACTIVITY);
            }

            @Override
            public void onAnimationRepeat(Animation animation) {

            }
        });
        setView(animation);
    }

    private void goGameActivity() {
        YYLog.i("goGameActivity -> action = " + getPackageName());
        startActivity(new Intent(getPackageName()));
        finish();
    }

    private void setView(Animation animation) {
        int id = 0;
        if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
            id = ResUtils.getResId(this, "yyxx_welcome_land", "drawable");
        } else {
            id = ResUtils.getResId(this, "yyxx_welcome", "drawable");
        }
        if (id == 0) {
            handler.sendEmptyMessage(CODE_GO_GAME_ACTIVITY);
            return;
        }
        LinearLayout layout = new LinearLayout(this);
        layout.setBackgroundResource(id);
        layout.setAnimation(animation);
        setContentView(layout);
    }
}
